> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/contact.md).

# Contact

The contact record for a person on an account

| Name                   | Type                                                                | Description                                              |
| ---------------------- | ------------------------------------------------------------------- | -------------------------------------------------------- |
| account                | [Account](/developer/api-reference/types/account.md)                | The account the contact belongs to                       |
| accountId              | ID                                                                  | The account the contact belongs to                       |
| campaigns              | List ([Campaign](/developer/api-reference/types/campaign.md))       | The campaigns the contact is a member of                 |
| code                   | String                                                              | Custom unique identifier for the contact                 |
| createdAt              | ISO8601DateTime                                                     | Datetime the contact was created                         |
| customFieldDefinitions | List ([CustomField](/developer/api-reference/types/customfield.md)) | Custom field definitions for this object type            |
| customFieldsData       | JSON                                                                | All custom field values for this object as a JSON object |
| description            | String                                                              | A description of the contact                             |
| email                  | String                                                              | Email address of the contact                             |
| entityId               | ID                                                                  | The entity the contact belongs to                        |
| firstName              | String                                                              | First name of the contact                                |
| fullName               | String                                                              | Full name of the contact                                 |
| hasCustomFields        | Boolean                                                             | Whether this object type has any custom fields defined   |
| id                     | ID                                                                  | Unique ID for the contact                                |
| lastName               | String                                                              | Last name of the contact                                 |
| linkedinUrl            | String                                                              | Link to the contact's LinkedIn profile                   |
| mailingCity            | String                                                              | City for the contact                                     |
| mailingCountry         | String                                                              | Country of the contact                                   |
| mailingState           | String                                                              | State for the contact                                    |
| mailingStreet          | String                                                              | Street address for the contact                           |
| mailingZip             | String                                                              | Zip/PostalCode for the contact                           |
| mobile                 | String                                                              | Primary mobile number for the contact                    |
| phone                  | String                                                              | Primary phone number for the contact                     |
| portalAccess           | Boolean                                                             | Allow portal access                                      |
| salutation             | String                                                              | Salutation for the contact                               |
| title                  | String                                                              | Job title of the contact                                 |
| updatedAt              | ISO8601DateTime                                                     | Datetime the contact was last updated                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/contact.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
